do
#****************************************************************************
#**
#**  File     :  
#**  Author(s):  David Tomandl / Domino
#**
#**  Summary  :  AEON T3 Shield Generator Script
#**
#**  Copyright © 2011 Gas Powered Games, Inc.  All rights reserved.
#****************************************************************************

local AShieldStructureUnit = import('/lua/aeonunits.lua').AShieldStructureUnit

local OldUAB4301 = UAB4301
UAB4301 = Class(OldUAB4301) {
        
    -----------------------------------------------------------------------------
	--ENHANCEMENT
	
	CreateEnhancement = function(self, enh)
		OldUAB4301.CreateEnhancement(self, enh)
		local bp = self:GetBlueprint().Enhancements[enh]
		if not bp then return end
		
		if enh == 'TimeDilationShield' then
			self:CreateShield(bp)
		elseif enh == 'TimeDilationShieldRemove' then
			self:DestroyShield()
		end
	end,
    
}

TypeClass = UAB4301

end